Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.menu
Class ReloadWithEncodingProvider

    java.lang.Object
      org.gjt.sp.jedit.menu.ReloadWithEncodingProvider

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, DynamicMenuProvider

    public class ReloadWithEncodingProvider

extends java.lang.Object
implements java.awt.event.ActionListener, DynamicMenuProvider

Menu provider for actions to reload the current buffer with a specific encoding.

Constructor Summary
`ReloadWithEncodingProvider()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)`
`void` | `update(javax.swing.JMenu menu)` Adds the menu items to the given menu.
`boolean` | `updateEveryTime()` Returns true if the menu should be updated each time it is shown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReloadWithEncodingProvider

    public ReloadWithEncodingProvider()

Method Detail

### updateEveryTime

    public boolean updateEveryTime()

  Description copied from interface: `DynamicMenuProvider`
  Returns true if the menu should be updated each time it is shown. Otherwise, it will only be updated when the menu is first created, and if the menu receives a `DynamicMenuChanged` message.

  Specified by:
    `updateEveryTime` in interface `DynamicMenuProvider`

### update

    public void update(javax.swing.JMenu menu)

  Description copied from interface: `DynamicMenuProvider`
  Adds the menu items to the given menu.

  Specified by:
    `update` in interface `DynamicMenuProvider`
  Parameters:
    `menu` - The menu

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD